'Future.Library v3.50
'by Jorden Chamid and Michael Rye Sorensen

'*** SVGA Mouse ***
DECLARE SUB Future.UpdateMouse ALIAS "SVGAupdatemouse" ()
DECLARE SUB SetMouseRange (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%)
DECLARE SUB SetLocation (BYVAL X%, BYVAL Y%)
DECLARE SUB SetMouseMaskColor ALIAS "SVGAmousemask" (BYVAL C&)
DECLARE SUB Future.MouseShape ALIAS "SVGAmouseShape" (BYVAL Offset%, BYVAL Segment%)
DECLARE SUB Future.ResetMouseShape ALIAS "MouseCursorGenerator" ()
DECLARE SUB Future.MouseOff ALIAS "SVGAmouseoff" ()
DECLARE SUB Future.MouseOn ALIAS "SVGAmouseon" ()
DECLARE FUNCTION Future.MouseB% ALIAS "SVGAmouseB" ()
DECLARE FUNCTION Future.MouseY% ALIAS "SVGAmouseY" ()
DECLARE FUNCTION Future.MouseX% ALIAS "SVGAmouseX" ()
DECLARE SUB SetMouseSensitivity (BYVAL H%, BYVAL V%)
'*** Graphics ***
DECLARE SUB SetScreenMode (XRes%, YRes%, Bits%)
DECLARE SUB ReSetScreen
DECLARE FUNCTION Pages% ()
DECLARE FUNCTION IsVESA%
DECLARE FUNCTION VideoMemory&
DECLARE SUB ViewPage (BYVAL P%)
DECLARE SUB SetFrameBuffer ALIAS "SVGAframesize" (BYVAL X%, BYVAL Y%)
DECLARE SUB setmaskcolor (BYVAL C&)
DECLARE SUB SetPage (BYVAL P%)
DECLARE SUB SetViewPort ALIAS "SVGAviewport" (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%)
DECLARE SUB SetTextureWrap (BYVAL OnOff%)
DECLARE FUNCTION RGB2Color& (BYVAL R%, BYVAL G%, BYVAL B%)
DECLARE SUB Color2RGB (BYVAL C&, R%, G%, B%)
DECLARE FUNCTION Future.Version$ ()
DECLARE FUNCTION SizeOf& ALIAS "SVGAsizeof" (BYVAL X%, BYVAL Y%)
DECLARE FUNCTION Future.ModeList$ (I%)
DECLARE FUNCTION Future.POINT& ALIAS "SVGApoint" (BYVAL X%, BYVAL Y%)
DECLARE SUB Future.PSET ALIAS "SVGApset" (BYVAL X%, BYVAL Y%, BYVAL C&)
DECLARE SUB Future.CLS ALIAS "SVGAcls" (BYVAL C&)
DECLARE SUB Future.FILLBOX ALIAS "SVGAfillbox" (BYVAL X%, BYVAL Y%, BYVAL X1%, BYVAL Y1%, BYVAL C&)
DECLARE SUB future.box ALIAS "SVGAbox" (BYVAL X%, BYVAL Y%, BYVAL X1%, BYVAL Y1%, BYVAL C&)
DECLARE SUB future.line ALIAS "SVGAline" (BYVAL X%, BYVAL Y%, BYVAL X1%, BYVAL Y1%, BYVAL C&, BYVAL Bitscan%)
DECLARE SUB Future.CIRCLE ALIAS "SVGAcircle" (BYVAL CX%, BYVAL CY%, BYVAL Radius%, BYVAL C&)
DECLARE SUB Future.FILLCIRCLE ALIAS "SVGAfillcircle" (BYVAL CX%, BYVAL CY%, BYVAL Radius%, BYVAL C&)
DECLARE SUB Future.HLINE ALIAS "SVGAhline" (BYVAL Y%, BYVAL X1%, BYVAL X2%, BYVAL C&)
DECLARE SUB Future.TRIFILL ALIAS "SVGAtrifill" (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL X3%, BYVAL Y3%, BYVAL C&)
DECLARE SUB Future.TRIGOUR ALIAS "SVGAtrigour" (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL X3%, BYVAL Y3%, BYVAL C1&, BYVAL C2&, BYVAL C3&)
DECLARE SUB Future.TRITEXT (X1%, Y1%, X2%, Y2%, X3%, Y3%, U1%, V1%, U2%, V2%, U3%, V3%, Array() AS ANY)
DECLARE SUB Future.ROTATE (X%, Y%, Angle%, Scale!, Array() AS ANY)
DECLARE SUB Future.ROTATEB (X%, Y%, Angle%, Scale!, Array() AS ANY)
DECLARE SUB Future.SNAPSHOT (FileName$)
DECLARE SUB Future.GET (X%, Y%, X1%, Y1%, Array() AS ANY)
DECLARE SUB Future.PUT (X%, Y%, Array() AS ANY)
DECLARE SUB Future.PRINT (X%, Y%, t$, C&, B&)
DECLARE SUB Future.LoadGIF (FileName$, Xpos%, Ypos%)
DECLARE SUB Future.LoadBMP (FileName$, Xpos%, Ypos%)
DECLARE SUB Future.LoadPCX (FileName$, Xpos%, Ypos%)
DECLARE FUNCTION IsMMX% ()
DECLARE SUB SetMMX (BYVAL OnOff%)
DECLARE SUB Future.LoadFONT (FileName$)
'*** EMS ***
DECLARE SUB Future.emsPUT (X%, Y%, handle%)
DECLARE SUB Future.EMSGet (X%, Y%, X1%, Y1%, handle%)
DECLARE SUB Future.EMSPutx (Tx%, Ty%, handle%, Sx%, Sy%, Sx1%, Sy1%)
DECLARE SUB Future.EMSGetx (Tx%, Ty%, handle%, Sx%, Sy%, Sx1%, Sy1%)
DECLARE SUB Future.EMSTRITEXT ALIAS "emsSVGAtritext" (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL X3%, BYVAL Y3%, BYVAL U1%, BYVAL V1%, BYVAL U2%, BYVAL V2%, BYVAL U3%, BYVAL V3%, BYVAL EMShandle%)
DECLARE SUB Future.EMSROTATE (X%, Y%, Angle%, Scale!, handle%)
DECLARE SUB Future.EMSROTATEB (X%, Y%, Angle%, Scale!, handle%)
DECLARE SUB Future.DefineEMSArray (X%, Y%, handle%)
DECLARE SUB Future.EMSArrayGet (X%, Y%, handle%, Index%)
DECLARE SUB Future.EMSArrayPut (X%, Y%, handle%, Index%)
DECLARE SUB Future.EMStoFile (FileName$, handle%, fileStartpos&, EMSStartpos&, BytesTomove&)
DECLARE SUB Future.FiletoEMS (FileName$, handle%, fileStartpos&, EMSStartpos&, BytesTomove&)
DECLARE FUNCTION GetEMMVersion! ()
DECLARE SUB MapLogicalPages (handle%, physicalpage%, logicalpage%)
DECLARE FUNCTION AllExpMem% (Bytes&)
DECLARE SUB DeallExpMem (handle%)
DECLARE SUB FreeAllExpMem ()
DECLARE FUNCTION PageFrameAddr% ()
DECLARE FUNCTION TotalPages% ()
DECLARE FUNCTION UnallocatedPages% ()
DECLARE FUNCTION IsEMMInstalled% ()
DECLARE SUB DefineEMSbufferSize (BYVAL handle%, BYVAL Xsize%, BYVAL Ysize%, BYVAL EMSPageNumber%)
DECLARE SUB SetEMSpage (BYVAL EMSPageNumber%)
DECLARE SUB CopyEMSpage (BYVAL tEMSPageNumber%, BYVAL sEMSPageNumber%)
'*** XMS ***
DECLARE SUB Future.XMSget (X%, Y%, X1%, Y1%, XMShandle%)
DECLARE SUB Future.XMSput (X%, Y%, XMShandle%)
DECLARE FUNCTION IsXMSInstalled% ()
DECLARE FUNCTION AllocateXMS% (BYVAL Bytes&)
DECLARE SUB DeallocateXMS (BYVAL handle%)
DECLARE FUNCTION FreeXMSmemory& ()
DECLARE SUB MoveXMS (BYVAL SourceHandle%, BYVAL SourceOffset&, BYVAL DestHandle%, BYVAL DestOffset&, BYVAL Bytes&)
DECLARE SUB movetoxms (BYVAL handle%, BYVAL Segment%, BYVAL Offset%, BYVAL Bytes&, BYVAL XMSOffset&)
DECLARE SUB MoveFromXMS (BYVAL handle%, BYVAL Segment%, BYVAL Offset%, BYVAL Bytes&, BYVAL XMSOffset&)
DECLARE SUB Future.DefineXMSArray (X%, Y%, XMShandle%)
DECLARE SUB Future.XMSArrayGet (X%, Y%, XMShandle%, Index%)
DECLARE SUB Future.XMSArrayPut (X%, Y%, XMShandle%, Index%)

DEFINT A-Z

