DEFINT A-Z

TYPE boxtype
 x AS INTEGER
 Y AS INTEGER
 xsiz AS INTEGER
 ysiz AS INTEGER
 framn AS INTEGER
 framsn AS INTEGER
 tag AS INTEGER
 msg AS INTEGER
 format AS INTEGER
 state AS INTEGER
 help AS INTEGER
 imgsn AS INTEGER
END TYPE

TYPE wndtype
 x AS SINGLE
 Y AS SINGLE
 xmgn AS SINGLE
 ymgn AS SINGLE
 xmgnmin AS SINGLE
 xmgnmax AS SINGLE
 ymgnmin AS SINGLE
 ymgnmax AS SINGLE
 xgrid AS INTEGER
 ygrid AS INTEGER
 itemq AS INTEGER
 wid AS INTEGER
END TYPE

TYPE imgtype
 x AS INTEGER
 Y AS INTEGER
 xsiz AS INTEGER
 ysiz AS INTEGER
 format AS INTEGER
END TYPE

TYPE fonttype
 siz AS INTEGER
 typ AS INTEGER
 hsp AS INTEGER
 shift AS INTEGER
 col AS LONG
 realcol AS LONG
 cursor AS STRING * 1
 dots AS STRING * 1
END TYPE

TYPE fontfiletype
 filename AS STRING * 12
 hn AS INTEGER
 siz AS INTEGER
 qua AS INTEGER
 maskcol AS LONG
END TYPE

'$DYNAMIC
DIM SHARED hspacing, fontmask&, dotcol1&, dotcol2&
DIM SHARED pal$, curskinmask&, skinmask&, pskinmask&
DIM SHARED istr$, ipos, posit, bq, curbuf
DIM SHARED path$, mask$, helpmsg, helpbox
DIM SHARED drag, dragwnd, xdrag, ydrag, vaf
DIM SHARED dhn, skinhn, skinpage, curskinhn
DIM SHARED font(0 TO fontend + 4) AS fonttype
DIM SHARED lenmask(1 TO lenmaskend + 1) AS STRING * 224
DIM SHARED box(1 TO boxmax) AS boxtype
DIM SHARED img(1 TO imgmax) AS imgtype
DIM SHARED wnd(1 TO wndmax) AS wndtype
DIM SHARED fontfile(0 TO fontfilemax) AS fontfiletype

CONST magn = 1.01, midb = "`"
CONST imgtypesize = 10, wndtypesize = 40, boxtypesize = 24
CONST msgbuf = 1000000, pagebuf = 100000, filemax = 2000

