DECLARE SUB SetLocation (BYVAL x%, BYVAL Y%)
DECLARE SUB SetScreenMode (XRes%, YRes%, Bits%)
DECLARE SUB ReSetScreen
DECLARE SUB SetMaskColor (BYVAL C&)
DECLARE SUB SetPage (BYVAL P%)
DECLARE SUB SetViewPort ALIAS "SVGAviewport" (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%)
DECLARE FUNCTION RGB2Color& (BYVAL R%, BYVAL G%, BYVAL B%)
DECLARE SUB Color2RGB (BYVAL C&, R%, G%, B%)
DECLARE FUNCTION Future.ModeList$ (I%)
DECLARE FUNCTION Future.POINT& ALIAS "SVGApoint" (BYVAL x%, BYVAL Y%)
DECLARE SUB Future.PSET ALIAS "SVGApset" (BYVAL x%, BYVAL Y%, BYVAL C&)
DECLARE SUB Future.CLS ALIAS "SVGAcls" (BYVAL C&)
DECLARE SUB Future.FILLBOX ALIAS "SVGAfillbox" (BYVAL x%, BYVAL Y%, BYVAL X1%, BYVAL Y1%, BYVAL C&)
DECLARE SUB Future.BOX ALIAS "SVGAbox" (BYVAL x%, BYVAL Y%, BYVAL X1%, BYVAL Y1%, BYVAL C&)
DECLARE SUB Future.LINE ALIAS "SVGAline" (BYVAL x%, BYVAL Y%, BYVAL X1%, BYVAL Y1%, BYVAL C&, BYVAL Bitscan%)
DECLARE SUB Future.HLINE ALIAS "SVGAhline" (BYVAL Y%, BYVAL X1%, BYVAL X2%, BYVAL C&)
DECLARE SUB Future.TRIFILL ALIAS "SVGAtrifill" (BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL X3%, BYVAL Y3%, BYVAL C&)
DECLARE SUB Future.PRINT (x%, Y%, t$, C&, B&)
DECLARE SUB Future.LoadFONT (filename$)
DECLARE SUB SetFont ALIAS "SVGAsetfont" (BYVAL Mode%)

DECLARE SUB Future.EMSPut (x%, Y%, handle%)
DECLARE SUB Future.EMSGet (x%, Y%, X1%, Y1%, handle%)
DECLARE SUB Future.EMSPutx (Tx%, Ty%, handle%, Sx%, Sy%, Sx1%, Sy1%)
DECLARE SUB FreeAllExpMem ()
DECLARE SUB SetEMSpage (BYVAL EMSPageNumber%)
DECLARE SUB Future.EMSArrayPut (x%, Y%, handle%, Index%)

DECLARE FUNCTION AllocateXMS% (BYVAL Bytes&)
DECLARE SUB DeallocateXMS (BYVAL handle%)
DECLARE SUB MoveFromXMS (BYVAL handle%, BYVAL Segment%, BYVAL Offset%, BYVAL Bytes&, BYVAL XMSOffset&)
DECLARE SUB Future.XMSArrayPut (x%, Y%, XMShandle%, Index%)

DEFINT A-Z

TYPE boxtype
 x AS INTEGER
 Y AS INTEGER
 xsiz AS INTEGER
 ysiz AS INTEGER
 framn AS INTEGER
 framsn AS INTEGER
 tag AS INTEGER
 msg AS INTEGER
 format AS INTEGER
 state AS INTEGER
 help AS INTEGER
 imgsn AS INTEGER
END TYPE

TYPE wndtype
 x AS SINGLE
 Y AS SINGLE
 xmgn AS SINGLE
 ymgn AS SINGLE
 xmgnmin AS SINGLE
 xmgnmax AS SINGLE
 ymgnmin AS SINGLE
 ymgnmax AS SINGLE
 xgrid AS INTEGER
 ygrid AS INTEGER
 itemq AS INTEGER
 wid AS INTEGER
END TYPE

TYPE imgtype
 x AS INTEGER
 Y AS INTEGER
 xsiz AS INTEGER
 ysiz AS INTEGER
 format AS INTEGER
END TYPE

TYPE fonttype
 siz AS INTEGER
 typ AS INTEGER
 hsp AS INTEGER
 shift AS INTEGER
 col AS LONG
 realcol AS LONG
 cursor AS STRING * 1
 dots AS STRING * 1
END TYPE

TYPE fontfiletype
 filename AS STRING * 12
 hn AS INTEGER
 siz AS INTEGER
 qua AS INTEGER
 maskcol AS LONG
END TYPE

'$DYNAMIC
DIM SHARED pal$, skinmask&, fontmask&
DIM SHARED dotcol1&, dotcol2&, btcol1&, btcol2&
DIM SHARED istr$, ipos, bq, hspacing, cbfont
DIM SHARED path$, mask$, helpmsg, helpbox, filbegin
DIM SHARED drag, dragwnd, xdrag, ydrag, vaf
DIM SHARED dhn, whn, skinhn, msghn, pagehn
DIM SHARED font(0 TO fontmax) AS fonttype
DIM SHARED lenmask(1 TO lenmaskmax) AS STRING * 224
DIM SHARED box(1 TO boxmax) AS boxtype
DIM SHARED img(1 TO imgmax) AS imgtype
DIM SHARED wnd(1 TO wndmax) AS wndtype
DIM SHARED fontfile(0 TO fontfilemax) AS fontfiletype

CONST magn = 1.01, midb = "`"
CONST imgtypesize = 10, wndtypesize = 40, boxtypesize = 24
CONST msgbuf = 100000, pagebuf = 100000
CONST xmsiobuf = 1000, filemax = 2000

